/***************************************************************************
 *   Copyright (C) 2004 by Matthias Wetzka                                 *
 *   matthias.wetzka@gmx.de                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef PREVIEWITEMPIXMAP_H
#define PREVIEWITEMPIXMAP_H

#include "previewitem.h"

#include <qpixmap.h>

class ThemeAttribute;

/**
@author Matthias Wetzka
*/
class PreviewItemPixmap : public PreviewItem
{
public:
    PreviewItemPixmap(int left, int top, QString pixmapname, ThemeAttribute *depends_on);

    ~PreviewItemPixmap();
    virtual QString getType() { return "pixmap"; };

    virtual void draw(QPainter* p);

protected:
    QPixmap pixmap;
    ThemeAttribute *depends_on;

};

#endif
