/***************************************************************************
 *   Copyright (C) 2004 by Matthias Wetzka                                 *
 *   matthias.wetzka@gmx.de                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef MYLINEEDIT_H
#define MYLINEEDIT_H

#include <klineedit.h>

class ThemeAttribute;
/**
@author Matthias Wetzka
*/
class MyLineEdit : public KLineEdit
{
Q_OBJECT
public:
    MyLineEdit(QWidget *parent = 0, const char *name = 0, ThemeAttribute * attribute = 0);
    
    void setAttribute(ThemeAttribute *);

    ~MyLineEdit();
public slots:
    void setText( const QString & );
    void slotUpdateText();
    void updateTooltip();
    
private:
    ThemeAttribute * m_attribute;

};

#endif
