/***************************************************************************
 *   Copyright (C) 2004 by Matthias Wetzka                                 *
 *   matthias.wetzka@gmx.de                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef NEWMODELDIALOG_H
#define NEWMODELDIALOG_H

#include <kdialogbase.h>

class QTabWidget;
class QStrList;
class QIconViewItem;
class KFileDialog;
class KURL;
class QListBox;
class SelectModelWidget;

/**
@author Matthias Wetzka
*/
class NewModelDialog : public KDialogBase
{
Q_OBJECT
public:
//     NewModelDialog(QStrList models, QStringList recent, QWidget * parent = 0, const char * name = 0);
    NewModelDialog(QWidget * parent = 0, const char * name = 0);

    ~NewModelDialog();
    
    QString getSelectedModel();
/*    const KURL &getSelectedURL();
    QString getSelectedRecent();*/
    
/*    QTabWidget * getTabWidget() { return this->tabWidget; };*/
    
public slots:
    void selectedModelChanged (QIconViewItem * item);
    
private:
    void init();
    
/*    QTabWidget *tabWidget;
    KFileDialog * openDialog;
    QListBox *recentThemes;*/
    
    SelectModelWidget *selectModelWidget;
/*    QStringList m_recent;*/
    QString m_sel_model;
private slots:
    void chosen(QIconViewItem * item);

};

#endif
