#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './themeview.ui'
**
** Created: Sa Mär 4 00:49:24 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.5   edited Aug 31 12:13 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "themeview.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qgroupbox.h>
#include <qheader.h>
#include <klistview.h>
#include <kpushbutton.h>
#include <qlabel.h>
#include <klineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "klistview.h"
#include "kpushbutton.h"
#include "klineedit.h"
#include "mylineedit.h"
#include "src/ui/mylineedit.h"

/*
 *  Constructs a ThemeView as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ThemeView::ThemeView( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ThemeView" );
    ThemeViewLayout = new QGridLayout( this, 1, 1, 11, 6, "ThemeViewLayout"); 

    tab = new QTabWidget( this, "tab" );
    tab->setEnabled( TRUE );

    tab_2 = new QWidget( tab, "tab_2" );
    tabLayout = new QGridLayout( tab_2, 1, 1, 11, 6, "tabLayout"); 

    groupBox5 = new QGroupBox( tab_2, "groupBox5" );
    groupBox5->setColumnLayout(0, Qt::Vertical );
    groupBox5->layout()->setSpacing( 6 );
    groupBox5->layout()->setMargin( 11 );
    groupBox5Layout = new QGridLayout( groupBox5->layout() );
    groupBox5Layout->setAlignment( Qt::AlignTop );

    lvThemeContents = new KListView( groupBox5, "lvThemeContents" );
    lvThemeContents->addColumn( tr2i18n( "Element" ) );
    lvThemeContents->addColumn( tr2i18n( "Filename" ) );
    lvThemeContents->addColumn( tr2i18n( "Type" ) );
    lvThemeContents->addColumn( tr2i18n( "Size" ) );
    lvThemeContents->addColumn( tr2i18n( "Dimension" ) );
    lvThemeContents->setVScrollBarMode( KListView::Auto );
    lvThemeContents->setHScrollBarMode( KListView::Auto );
    lvThemeContents->setResizeMode( KListView::NoColumn );

    groupBox5Layout->addMultiCellWidget( lvThemeContents, 0, 1, 0, 0 );

    btnExtract = new KPushButton( groupBox5, "btnExtract" );
    btnExtract->setEnabled( FALSE );

    groupBox5Layout->addWidget( btnExtract, 0, 1 );
    spacer24_2 = new QSpacerItem( 20, 111, QSizePolicy::Minimum, QSizePolicy::Expanding );
    groupBox5Layout->addItem( spacer24_2, 1, 1 );

    tabLayout->addWidget( groupBox5, 2, 0 );

    groupBox4 = new QGroupBox( tab_2, "groupBox4" );
    groupBox4->setColumnLayout(0, Qt::Vertical );
    groupBox4->layout()->setSpacing( 6 );
    groupBox4->layout()->setMargin( 11 );
    groupBox4Layout = new QGridLayout( groupBox4->layout() );
    groupBox4Layout->setAlignment( Qt::AlignTop );
    spacer5_2_2 = new QSpacerItem( 16, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    groupBox4Layout->addItem( spacer5_2_2, 0, 2 );

    lVersion = new QLabel( groupBox4, "lVersion" );
    lVersion->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)5, 0, 0, lVersion->sizePolicy().hasHeightForWidth() ) );

    groupBox4Layout->addWidget( lVersion, 0, 3 );

    leVersion = new KLineEdit( groupBox4, "leVersion" );
    leVersion->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, leVersion->sizePolicy().hasHeightForWidth() ) );

    groupBox4Layout->addWidget( leVersion, 0, 4 );

    lePhoneModel = new MyLineEdit( groupBox4, "lePhoneModel" );
    lePhoneModel->setEnabled( FALSE );

    groupBox4Layout->addWidget( lePhoneModel, 0, 1 );

    lPhoneModel = new QLabel( groupBox4, "lPhoneModel" );
    lPhoneModel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)5, 0, 0, lPhoneModel->sizePolicy().hasHeightForWidth() ) );

    groupBox4Layout->addWidget( lPhoneModel, 0, 0 );

    tabLayout->addWidget( groupBox4, 0, 0 );

    groupBox3 = new QGroupBox( tab_2, "groupBox3" );
    groupBox3->setColumnLayout(0, Qt::Vertical );
    groupBox3->layout()->setSpacing( 6 );
    groupBox3->layout()->setMargin( 11 );
    groupBox3Layout = new QGridLayout( groupBox3->layout() );
    groupBox3Layout->setAlignment( Qt::AlignTop );

    lFirstName = new QLabel( groupBox3, "lFirstName" );

    groupBox3Layout->addWidget( lFirstName, 0, 0 );

    lOrganization = new QLabel( groupBox3, "lOrganization" );

    groupBox3Layout->addWidget( lOrganization, 1, 3 );

    lLastName = new QLabel( groupBox3, "lLastName" );

    groupBox3Layout->addWidget( lLastName, 0, 3 );

    lURL = new QLabel( groupBox3, "lURL" );

    groupBox3Layout->addWidget( lURL, 2, 0 );

    leFirstName = new MyLineEdit( groupBox3, "leFirstName" );
    leFirstName->setEnabled( TRUE );

    groupBox3Layout->addWidget( leFirstName, 0, 1 );

    leLastName = new MyLineEdit( groupBox3, "leLastName" );
    leLastName->setEnabled( TRUE );

    groupBox3Layout->addWidget( leLastName, 0, 4 );

    leEmail = new MyLineEdit( groupBox3, "leEmail" );
    leEmail->setEnabled( TRUE );

    groupBox3Layout->addWidget( leEmail, 1, 1 );

    leOrganization = new MyLineEdit( groupBox3, "leOrganization" );
    leOrganization->setEnabled( TRUE );

    groupBox3Layout->addWidget( leOrganization, 1, 4 );

    leURL = new MyLineEdit( groupBox3, "leURL" );
    leURL->setEnabled( TRUE );

    groupBox3Layout->addMultiCellWidget( leURL, 2, 2, 1, 4 );
    spacer5_2_2_2 = new QSpacerItem( 16, 50, QSizePolicy::Fixed, QSizePolicy::Minimum );
    groupBox3Layout->addMultiCell( spacer5_2_2_2, 0, 1, 2, 2 );

    lEmail = new QLabel( groupBox3, "lEmail" );

    groupBox3Layout->addWidget( lEmail, 1, 0 );

    tabLayout->addWidget( groupBox3, 1, 0 );
    tab->insertTab( tab_2, QString::fromLatin1("") );

    ThemeViewLayout->addWidget( tab, 0, 0 );
    languageChange();
    resize( QSize(644, 497).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( tab_2, lvThemeContents );
    setTabOrder( lvThemeContents, btnExtract );
    setTabOrder( btnExtract, leVersion );

    // buddies
    lVersion->setBuddy( leVersion );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ThemeView::~ThemeView()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ThemeView::languageChange()
{
    setCaption( tr2i18n( "ThemeViewForm" ) );
    groupBox5->setTitle( tr2i18n( "Contents" ) );
    lvThemeContents->header()->setLabel( 0, tr2i18n( "Element" ) );
    lvThemeContents->header()->setLabel( 1, tr2i18n( "Filename" ) );
    lvThemeContents->header()->setLabel( 2, tr2i18n( "Type" ) );
    lvThemeContents->header()->setLabel( 3, tr2i18n( "Size" ) );
    lvThemeContents->header()->setLabel( 4, tr2i18n( "Dimension" ) );
    btnExtract->setText( tr2i18n( "Extract..." ) );
    groupBox4->setTitle( tr2i18n( "General" ) );
    lVersion->setText( tr2i18n( "Theme file &version" ) );
    lPhoneModel->setText( tr2i18n( "Phone model" ) );
    groupBox3->setTitle( tr2i18n( "Author Information" ) );
    lFirstName->setText( tr2i18n( "First Name" ) );
    lOrganization->setText( tr2i18n( "Organization" ) );
    lLastName->setText( tr2i18n( "Last Name" ) );
    lURL->setText( tr2i18n( "Website" ) );
    lEmail->setText( tr2i18n( "Email" ) );
    tab->changeTab( tab_2, tr2i18n( "I&nformation" ) );
}

void ThemeView::btnExtract_clicked()
{
    qWarning( "ThemeView::btnExtract_clicked(): Not implemented yet" );
}

#include "themeview.moc"
